> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employer Check by ID

> Retrieve employer check records for a company by companyID.



## OpenAPI

````yaml openapi/zeal-api.json get /employerCheck
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employerCheck:
    get:
      summary: Get All Employer Checks
      operationId: retrieve-all-employer-checks
      parameters:
        - name: companyID
          in: query
          description: Company ID of the employer
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - employerCheckID: '123456789'
                        createdAt: '2023-05-09T22:00:00Z'
                        reporting_periods:
                          - 01739fc4cfd84c2e93dba5e802d1dda2
                          - 01739fc4cfd84c2e93dba5e802d1dda3
                      - employerCheckID: '787654320'
                        createdAt: '2023-05-20T22:00:00Z'
                        reporting_periods:
                          - 01739fc4cfd84c2e93dba5e802d1dda5
                          - 01739fc4cfd84c2e93dba5e802d1dda6
                      - employerCheckID: '987654321'
                        createdAt: '2023-05-10T22:00:00Z'
                        reporting_periods:
                          - 01739fc4cfd84c2e93dba5e802d1dda0
                          - 01739fc4cfd84c2e93dba5e802d1dda1
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        employerCheckID:
                          type: string
                          example: '123456789'
                        createdAt:
                          type: string
                          example: '2023-05-09T22:00:00Z'
                        reporting_periods:
                          type: array
                          items:
                            type: string
                            example: 01739fc4cfd84c2e93dba5e802d1dda2
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No user with this companyID exists
                        code: 4
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No user with this companyID exists
                        code:
                          type: integer
                          example: 4
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````